package com.mortals.xhx.module.hotword.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.hotword.model.vo.HotwordVo;
/**
* 热门词汇业务实体对象
*
* @author zxfei
* @date 2022-11-17
*/

public class HotwordEntity extends HotwordVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 热门词汇
    */
    private String hotwords;
    /**
    * 空白打印材料展示数量
    */
    private Integer printDisplay;



    public HotwordEntity(){}
    /**
    * 获取 站点ID
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点ID
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 热门词汇
    * @return String
    */
    public String getHotwords(){
        return hotwords;
    }
    /**
    * 设置 热门词汇
    * @param hotwords
    */
    public void setHotwords(String hotwords){
        this.hotwords = hotwords;
    }
    /**
    * 获取 空白打印材料展示数量
    * @return Integer
    */
    public Integer getPrintDisplay(){
        return printDisplay;
    }
    /**
    * 设置 空白打印材料展示数量
    * @param printDisplay
    */
    public void setPrintDisplay(Integer printDisplay){
        this.printDisplay = printDisplay;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof HotwordEntity) {
            HotwordEntity tmp = (HotwordEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",hotwords:").append(getHotwords());
        sb.append(",printDisplay:").append(getPrintDisplay());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.hotwords = "";

            this.printDisplay = 0;
    }
}